Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 533884 - sys-apps/portage: --autounmask-write uses EROOT instead of PORTAGE_CONFIGROOT for evaluation of CONFIG_PROTECT
Summary: sys-apps/portage: --autounmask-write uses EROOT instead of PORTAGE_CONFIGROOT...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Interface (emerge) (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 137867 autounmask 484436
  Show dependency tree
 
Reported: 2014-12-29 01:13 UTC by Zac Medico
Modified: 2015-03-04 21:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2014-12-29 01:13:11 UTC
While reviewing the --autounmask-write code (due to bug 533648), I found that it uses EROOT instead of PORTAGE_CONFIGROOT when constructing ConfigProtect objects. The result is that CONFIG_PROTECT handling can misbehave when using PORTAGE_CONFIGROOT. The offending line that should use PORTAGE_CONFIGROOT instead of EROOT looks like this:

	protect_obj[root] = ConfigProtect(settings["EROOT"], \
Comment 1 Zac Medico gentoo-dev 2014-12-29 01:29:51 UTC
I've posted a patch for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5048
Comment 2 Zac Medico gentoo-dev 2015-01-05 19:56:01 UTC
This is in the master branch:

https://github.com/gentoo/portage/commit/417fc75190eb70836de9856f35c8141cacfd49fb
Comment 3 Brian Dolbec gentoo-dev 2015-03-04 21:26:01 UTC
Released in portage-2.2.16